# opentl::detector::ParticleDetector Class Reference

Inherits opentl::detector::Detector.

List of all members.

## Classes
class | PolyhedronSampler
## Public Types
## Public Member Functions
virtual void | addImplicitLikelihoodInstances (unsigned int count=1)
| Add additional likelihood instances Instances ares cloned from the likelihood template and represent the whole pipeline.
virtual void | detect (const std::vector< opentl::core::cvdata::Image * > inputImages, const TargetPtrVector &oldTargets, TargetPtrVector &newTargets)
| Find new targets, by using the SIR particle filter (with the given likelihood tree), and unsupervised mean-shift clustering.
void | init ()
| Initialize the class.
| ParticleDetector (opentl::modalities::Likelihood *likelihood, opentl::modelprojection::Warp &warp, ObjModelPtrVector &objectModels)
| constructor
int | sample (PolyhedronSampler &sampler)
| Sample the particle set.
virtual | ~ParticleDetector ()
| destructor

## Member Enumeration Documentation

enum opentl::detector::ParticleDetector::OfflineParameters

Enumerator:

  OFFLINE_COUNT |

enum opentl::detector::ParticleDetector::OnlineParameters

Enumerator:

  maxNoTargets | (unsigned int) Maximum detectable targets
  minNorm | (double) Minimum norm for the mean-shift stopping criterion
  bandWidth | (double) Width of the mean-shift kernels
  maxIter | (unsigned int) Maximum number of mean-shift iterations
  bPruneNonMaxima | (bool) Remove non-maxima (false clusters)
  nOfParticles | (unsigned int) Number of particles
  kernelType | (opentl::math::CV::MSKernelType) Type of mean-shift kernel
  ONLINE_COUNT |

## Constructor & Destructor Documentation

opentl::detector::ParticleDetector::ParticleDetector | ( | opentl::modalities::Likelihood * | likelihood,
|  | opentl::modelprojection::Warp & | warp,
|  | ObjModelPtrVector & | objectModels |
| ) |  |  |

constructor

virtual opentl::detector::ParticleDetector::~ParticleDetector | ( |  | ) | `[virtual]`

destructor

## Member Function Documentation

virtual void opentl::detector::ParticleDetector::addImplicitLikelihoodInstances | ( | unsigned int | count = `1` | ) | `[virtual]`

Add additional likelihood instances Instances ares cloned from the likelihood template and represent the whole pipeline.

virtual void opentl::detector::ParticleDetector::detect | ( | const std::vector< opentl::core::cvdata::Image * > | inputImages,
|  | const TargetPtrVector & | oldTargets,
|  | TargetPtrVector & | newTargets |
| ) |  |  | `[virtual]`

Find new targets, by using the SIR particle filter (with the given likelihood tree), and unsupervised mean-shift clustering.

Implements opentl::detector::Detector.

void opentl::detector::ParticleDetector::init | ( |  | ) | `[virtual]`

Initialize the class.

Implements opentl::core::util::ParameterContainer.

int opentl::detector::ParticleDetector::sample | ( | PolyhedronSampler & | sampler | ) |

Sample the particle set.